%define pkg_name        File-Find-Rule
%define pkg_version     0.30
%define rpm_pkg_version 0.30
%define rpm_pkg_release 2.n0i.13

Summary:       Alternative interface to File::Find
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/R/RC/RCLAMP/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(Module::Build)
%{!?_without_test:BuildRequires: perl(Cwd)}
%{!?_without_test:BuildRequires: perl(File::Find)}
%{!?_without_test:BuildRequires: perl(File::Spec)}
%{!?_without_test:BuildRequires: perl(Number::Compare)}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Text::Glob)}


%description
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
[ -f Makefile.PL ] || cat <<EOF > Makefile.PL
use Module::Build::Compat;
Module::Build::Compat->run_build_pl(args => \@ARGV);
Module::Build::Compat->write_makefile();
EOF


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.30-2.n0i.13
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- mass rebuild

* Fri Jun 02 2006 Marius Feraru <altblue@n0i.net> - 0.30-1.n0i.12
- version 0.30

* Thu May 18 2006 Marius Feraru <altblue@n0i.net> - 0.29-1.n0i.11
- version 0.29

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.28-4.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.28-3.n0i.9
- automatic rebuild (perl 5.8.6)

* Fri Dec 03 2004 Marius Feraru <altblue@n0i.net> 0:0.28-2.n0i.8
- automatic rebuild (perl 5.8.6)

* Fri Jul 09 2004 Marius Feraru <altblue@n0i.net> 0:0.28-1.n0i.7
- version 0.28

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.27-3.n0i.6
- automatic rebuild

* Thu Apr 22 2004 Marius Feraru <altblue@n0i.net> 0:0.27-2.n0i.5
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Fri Mar 19 2004 Marius FERARU <altblue@n0i.net> 0:0.27-1.n0i.4
- version 0.27

* Thu Jan 22 2004 Marius FERARU <altblue.net> 0:0.26-2.n0i.3
- automatic rebuild (perl v.5.8.3)

* Tue Dec 30 2003 Marius FERARU <altblue@n0i.net> 0:0.26-1.n0i.2
- version 0.26

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.25-0.n0i.1
- version 0.25
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
